Page MenuHomePhabricator

Pasting external link to a local page converts to a link on save, but not on insertion
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

  1. write text (e.g., "backlog")
  2. select text
  3. hit ctl-k
  4. paste in an internal link - e.g., https://en.wikipedia.org/wiki/Wikipedia:Contribution_Team/Backlogs
  5. get switched to the "external link" "tab"*

Expected behavior:

  1. dialog realizes it is a link to the same wiki I'm already on, treats it as an internal link.
  • put tab in quotes because it looks like no other tab I've ever encountered; not sure what to call it.

Event Timeline

LuisVilla created this task.May 8 2015, 3:13 PM
LuisVilla raised the priority of this task from to Needs Triage.
LuisVilla updated the task description. (Show Details)
LuisVilla added a project: VisualEditor.
LuisVilla added subscribers: LuisVilla, Aklapper.

Can you reproduce this on beta cluster (http://en.wikipedia.beta.wmflabs.org/)? It seems to work the way you want there (save for the issue described in T93627).

Jdforrester-WMF renamed this task from Pasting link to internal link does not detect it as an internal link to Pasting external link to a local page converts to a link on save, but not on insertion.May 9 2015, 12:07 AM
Jdforrester-WMF set Security to None.

@LuisVilla – I think the point you're trying to get at here is that we do magically convert links to local pages, but we only do it on save, not on insertion/change. Is that right?

Jdforrester-WMF triaged this task as Low priority.May 9 2015, 12:10 AM

James: yes. I wouldn't describe it as low priority, since it leaves a bad first impression on your users - they will assume it is broken and try to fix it (as I did), and may not notice when the "right" thing happens later. But I'm not familiar with your prioritization criteria.

Jdforrester-WMF closed this task as Resolved.Sep 22 2015, 7:22 AM
Jdforrester-WMF assigned this task to cscott.
Jdforrester-WMF edited a custom field.